## com.sun.jersey.core.spi.component.ioc
Interface IoCComponentProcessorFactory

    public interface IoCComponentProcessorFactory

A factory for obtaining `IoCComponentProcessor` instances.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`IoCComponentProcessor` `get(java.lang.Class c, ComponentScope scope)` Get a `IoCComponentProcessor` instance given a class and scope.
`ComponentScope` `getScope(java.lang.Class c)` Get the scope of the component, if that component is managed by the Jersey runtime.

Method Detail

### getScope

    ComponentScope getScope(java.lang.Class c)

  Get the scope of the component, if that component is managed by the Jersey runtime.

  Parameters:
    `c` - the class to determine the scope from.
  Returns:
    the scope, otherwise null if the scope cannot be determined.

### get

    IoCComponentProcessor get(java.lang.Class c,
                              ComponentScope scope)

  Get a `IoCComponentProcessor` instance given a class and scope.

  Parameters:
    `c` - the class.
    `scope` - the scope.
  Returns:
    the IoC component processor or null if no processor is available for the class and scope.

Copyright © 2017 Oracle Corporation. All Rights Reserved.